List Transactions by mini wallet
List transactions for a mini wallet with pagination.
GET
/
api
/
v1
/
transactions
/
wallet
/
{miniWalletId}
List Transactions by mini wallet
curl --request GET \
--url https://sandbox.oumla.com/api/v1/transactions/wallet/{miniWalletId} \
--header 'x-api-key: <api-key>' \
--header 'x-sdk-version: <x-sdk-version>'import requests
url = "https://sandbox.oumla.com/api/v1/transactions/wallet/{miniWalletId}"
headers = {
"x-sdk-version": "<x-sdk-version>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-sdk-version': '<x-sdk-version>', 'x-api-key': '<api-key>'}
};
fetch('https://sandbox.oumla.com/api/v1/transactions/wallet/{miniWalletId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"addressFrom": "<string>",
"addressTo": "<string>",
"amount": "<string>",
"date": "<string>",
"isMempool": true,
"isSpent": true,
"status": "<string>",
"updatedAt": "<string>",
"createdAt": "<string>",
"type": "<string>",
"networkId": "<string>",
"txid": "<string>",
"contractAddress": "<string>",
"tokenId": "<string>",
"txType": "<string>",
"fee": "<string>"
}
],
"pagination": {
"totalElements": 100,
"totalPages": 10,
"skip": 0,
"take": 10
}
}{
"code": "ERR_010",
"message": "The request could not be processed.",
"category": "VALIDATION",
"statusCode": 400,
"path": "/api/v1/example",
"timestamp": "2025-02-20T12:00:00.000Z",
"requestId": "req-example-id"
}{
"code": "ERR_008",
"message": "You need to sign in to continue.",
"category": "AUTHORIZATION",
"statusCode": 401,
"path": "/api/v1/example",
"timestamp": "2025-02-20T12:00:00.000Z",
"requestId": "req-example-id"
}{
"code": "ERR_009",
"message": "You don't have permission to do that.",
"category": "AUTHORIZATION",
"statusCode": 403,
"path": "/api/v1/example",
"timestamp": "2025-02-20T12:00:00.000Z",
"requestId": "req-example-id"
}{
"code": "ERR_096",
"message": "Address not found.",
"category": "RESOURCE",
"statusCode": 404,
"path": "/api/v1/example",
"timestamp": "2025-02-20T12:00:00.000Z",
"requestId": "req-example-id"
}{
"code": "ERR_019",
"message": "Something went wrong on our side.",
"category": "SYSTEM",
"statusCode": 500,
"path": "/api/v1/example",
"timestamp": "2025-02-20T12:00:00.000Z",
"requestId": "req-example-id"
}Authorizations
API key for authentication
Headers
SDK version header
Path Parameters
Mini wallet ID
Was this page helpful?
Previous
List Transactions by organizationList transactions for the authenticated user's organization with pagination.
Next
⌘I
List Transactions by mini wallet
